package cn.iocoder.yudao.module.order.dal.dataobject.orderCargoControl;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订单控货人信息 DO
 *
 * @author 郑屹
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_cargo_control")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderCargoControlDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 提单号
     */
    private String tidanNo;
    /**
     * 上个控货人ID
     */
    private Long cargoControlId;
    /**
     * 控货人名字
     */
    private String name;

    /**
     * 控货人名字(英文)
     */
    private String nameEn;
    /**
     * 手机
     */
    private String phone;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 公司
     */
    private String company;
    /**
     * 公司(英文)
     */
    private String companyEn;
    /**
     * 国家简称
     */
    private String iso2;
    /**
     * 国家区号
     */
    private Integer dialCode;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 客户联系人id
     */
    private Long customerContactsId;
    /**
     * 是否为实际控货人
     */
    private Boolean isActual;

}
