package cn.iocoder.yudao.module.order.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("订单保价费")
public class OrderInsuranceFeeDto {

    @ApiModelProperty("订单总金额(总货值)")
    private BigDecimal totalWorth;

    @ExcelProperty("货值货币单位ID")
    @ApiModelProperty(value = "货值货币单位ID(默认RMB)")
    private Integer worthCurrency = 3;

    @ApiModelProperty("保费费率")
    private BigDecimal insuranceRatio = new BigDecimal("0.002");

    @ApiModelProperty("应收保费(最低2美元)")
    private BigDecimal receivableInsuranceFee = new BigDecimal("0");

    @ApiModelProperty("优惠保费")
    private BigDecimal discountInsuranceFee = BigDecimal.ZERO;

    @ApiModelProperty("实收保费")
    private BigDecimal realityInsuranceFee = BigDecimal.ZERO;

    @ApiModelProperty(value = "保费货币单位ID(默认USD)")
    private Integer InsuranceCurrency = 1;
}
