package cn.iocoder.yudao.module.order.vo.orderException.additional;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ChannelPackagingOverWeightAdditionalBo {


    /**
     * 线路id
     */
    private Long lineId;

    private String lineStartNameZh;
    private String lineStartNameEn;
    private String lineDestNameZh;
    private String lineDesttNameEn;


    /**
     * 渠道id
     */
    private Long channelId;

    private String channelNameZh;
    private String channelNameEn;

    /**
     * 重量新值
     */
    private BigDecimal weightSum;

    /**
     * 重量老值
     */
    private BigDecimal overWeightLimit;

    /**
     * 包装类型
     */
    private String packingType;

    /**
     * 包装类型名称
     */
    private String packingTypeNameZh;
    private String packingTypeNameEn;


    /**
     * 此订单下有此包装类型的品名id集合
     */
    private List<Long> orderItemIdList;


    private String exceptionDescZh;
    private String exceptionDescEn;

    private boolean isMerged = false;

}
