package cn.iocoder.yudao.module.order.vo.orderWarehouseApproval;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 入仓单审核 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OrderWarehouseApprovalBaseVO {

    @ApiModelProperty(value = "订单ID", required = true)
    @NotNull(message = "订单ID不能为空")
    private Long orderId;

    @ApiModelProperty(value = "订单编号", required = true)
    @NotNull(message = "订单编号不能为空")
    private String orderNo;

    @ApiModelProperty(value = "订单项id", required = true)
    @NotNull(message = "订单项id不能为空")
    private Long orderItemId;

    @ApiModelProperty(value = "入仓id")
    private Long warehouseInId;

    @ApiModelProperty(value = "流程表单实例ID")
    private String formId;

    @ApiModelProperty(value = "类型：1 入仓修改 2 调仓 3 退仓 见字典order_warehouse_approval_type")
    private Integer type;

    @ApiModelProperty(value = "跟进业务员")
    private Long followUpAdminId;

    @ApiModelProperty(value = "审核内容/修改前")
    private String details;

    @ApiModelProperty(value = "状态：1 处理中 2 通过 3 不通过 4 取消")
    private Integer status;

    @ApiModelProperty(value = "处理结果")
    private String processingResults;

    @ApiModelProperty(value = "结束人")
    private String finishBy;

    @ApiModelProperty(value = "结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date finishTime;

    /**
     * 是否来自于用户客户端
     */
    @ApiModelProperty(value = "是否来自于用户客户端")
    private Boolean isFromUserClient = false;

}
